<template>
  <div class="container">
    <div class="row content">
      <div class="col-md 6 mb-3">
        <img
          src="../../assets/images/login.jpg"
          class="img-fluid"
          alt="image"
        />
      </div>
      <div class="col-md-6">
        <h3 class="signin-text mb-3">Sign In</h3>
        <form>
          <InputComponent
            name="username"
            text="Username"
            :value="username"
            @change="handleOnChange"
          />
          <InputComponent
            name="password"
            text="Password"
            type="password"
            :value="password"
            @change="handleOnChange"
          />
          <div class="form-group form-check">
            <input
              type="checkbox"
              name="checkbox"
              class="form-check-input"
              id="checkbox"
              :checked="remember"
              @change="checkRemember"
            />
            <label class="form-check-label" for="checkbox">Remember Me</label>
          </div>
          <button
            class="btn btn-class"
            :class="[{ 'btn-secondary': disabled }]"
            @click="handleOnclick"
            :disabled="disabled"
          >
            Login
          </button>
        </form>
      </div>
    </div>
  </div>
</template>
<script>
import { mapMutations} from "vuex";
import InputComponent from "../common/input/Input";
import Logs from "../../mixins/logs";
export default {
  mixins: [Logs],
  name: "Login",
  data() {
    return {
      username: "",
      password: "",
      remember: true,
      disabled: true,
    };
  },
  methods: {
    ...mapMutations(["setAuth"]),
    handleOnChange(e) {
      this.info("LoginComponent excute handleOnChange");
      const { name, value } = e.target;
      this.debug("name", name);
      this.debug("value", value);
      this[name] = value;
      if (this.username != "" && this.password != "") {
        this.disabled = false;
      } else {
        this.disabled = true;
      }
    },
    handleOnclick(e) {
      e.preventDefault();
      this.info("LoginComponent excute handleOnclick");
      if (this.username == "nhuhuynh" && this.password == "123123") {
        this.setAuth("ok");
        this.$router.push("/");
      } else {
        console.log("sai password");
      }
    },
    checkRemember() {
      this.remember = !this.remember;
    },
  },
  components: { InputComponent },
};
</script>
<style>
.content {
  margin: 8%;
  background-color: #fff;
  padding: 4rem 1rem 4rem 1rem;
  box-shadow: 0 0 5px 5px rgba(0, 0, 0, 0.05);
}
.signin-text {
  font-style: normal;
  font-weight: 600 !important;
}
.form-control {
  display: block;
  width: 100%;
  font-weight: 400;
  line-height: 1.5;
  border-color: #00ac96 !important;
  border-style: solid !important;
  border-width: 0 0 1px 0 !important;
  padding: 0px !important;
  color: #495057;
  height: auto;
  border-radius: 0;
  background-color: #fff;
  background-clip: padding-box;
}
.form-control:focus {
  color: #495057;
  background-color: #fff;
  border-color: #fff;
  outline: 0;
  box-shadow: none;
}
.btn-class {
  border-color: #00ac96;
  color: #00ac96;
}
</style>
